## ros-humble-raspimouse-slam 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(raspimouse_slam)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
  launch
  config
  rviz
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-raspimouse-slam (2.0.0-1jammy) jammy; urgency=high

  * Humble対応 (#6 <https://github.com/rt-net/raspimouse_slam_navigation_ros2/issues/6>)
  * Contributors: Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 03 Aug 2023 15:00:00 -0000

ros-humble-raspimouse-slam (1.0.0-1jammy) jammy; urgency=high

  * 1m四方のフィールドでSLAMが実施できるようにパラメータ調整
  * 使用していないパラメータファイルを削除
  * Save the map file to the home directory and use the absolute path to the map file
  * Adds raspimouse_description as a dependent pacakgae
  * Update launch file to use rplidar
  * Adds new param file. Updates launch file to use it as default
  * Adds description to launch teleop launch file
  * Adds launch file to publish the robot_description
  * Update launch file so that it brings up the node for RPLIDAR
  * Change tag to exec_depend. The sllidar package is not included in the rosdep list
  * Removes static tf node. raspimouse_description has that covered
  * Update launch files. Use LaunchConfigurationEquals instead.
  * Adds rplidar related arguments and definitions
  * Updates joystick controller file name sequence
  * Adds lds and urg options
  * Adds necessary arguments for lds and urg
  * Adds urg_node package as a dependent package
  * Adds config file for SLAM
  * Creates raspimouse_slam package
  * Contributors: Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 28 Jul 2022 15:00:00 -0000

=== debian/control ===
Source: ros-humble-raspimouse-slam
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-hls-lfcd-lds-driver, ros-humble-joint-state-publisher, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-description, ros-humble-raspimouse-ros2-examples, ros-humble-robot-state-publisher, ros-humble-rplidar-ros, ros-humble-rviz2, ros-humble-slam-toolbox, ros-humble-urg-node, ros-humble-xacro, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-raspimouse-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-hls-lfcd-lds-driver, ros-humble-joint-state-publisher, ros-humble-joy-linux, ros-humble-nav2-map-server, ros-humble-raspimouse, ros-humble-raspimouse-description, ros-humble-raspimouse-ros2-examples, ros-humble-robot-state-publisher, ros-humble-rplidar-ros, ros-humble-rviz2, ros-humble-slam-toolbox, ros-humble-urg-node, ros-humble-xacro, ros-humble-ros-workspace
Description: SLAM package for Raspberry Pi Mouse

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-slam//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-raspimouse-slam 2.1.0

=== debian/changelog ===
ros-humble-raspimouse-slam (2.1.0-1bookworm) bookworm; urgency=high

  * Use rplidar_a1_launch.py because rplidar.launch.py does not exist. (#8 <https://github.com/rt-net/raspimouse_slam_navigation_ros2/issues/8>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-raspimouse-slam (2.0.0-1bookworm) bookworm; urgency=high

  * Humble対応 (#6 <https://github.com/rt-net/raspimouse_slam_navigation_ros2/issues/6>)
  * Contributors: Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 03 Aug 2023 16:00:00 -0000

ros-humble-raspimouse-slam (1.0.0-1bookworm) bookworm; urgency=high

  * 1m四方のフィールドでSLAMが実施できるようにパラメータ調整
  * 使用していないパラメータファイルを削除
  * Save the map file to the home directory and use the absolute path to the map file
  * Adds raspimouse_description as a dependent pacakgae
  * Update launch file to use rplidar
  * Adds new param file. Updates launch file to use it as default
  * Adds description to launch teleop launch file
  * Adds launch file to publish the robot_description
  * Update launch file so that it brings up the node for RPLIDAR
  * Change tag to exec_depend. The sllidar package is not included in the rosdep list
  * Removes static tf node. raspimouse_description has that covered
  * Update launch files. Use LaunchConfigurationEquals instead.
  * Adds rplidar related arguments and definitions
  * Updates joystick controller file name sequence
  * Adds lds and urg options
  * Adds necessary arguments for lds and urg
  * Adds urg_node package as a dependent package
  * Adds config file for SLAM
  * Creates raspimouse_slam package
  * Contributors: Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 28 Jul 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-slam//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-slam//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-raspimouse-slam//opt/ros/humble/opt/raspimouse_slam/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
